# generated by datamodel-codegen:
#   filename:  DZG.json
#   timestamp: 2023-03-07T13:45:12+00:00

from __future__ import annotations

from datetime import date
from enum import Enum
from typing import List, Optional

from pydantic import BaseModel, EmailStr, Field, constr


class SourceRef(BaseModel):
    __root__: constr(regex=r'^/source/') = Field(..., examples=['/source/0'])


class StudyStatus(Enum):
    active = 'active'
    closed = 'closed'
    unknown = 'unknown'


class Title(BaseModel):
    value: str
    source_ref: SourceRef


class Contacts(BaseModel):
    value: List[str]
    source_ref: SourceRef


class Emails(BaseModel):
    value: List[EmailStr]
    source_ref: SourceRef


class Status(BaseModel):
    value: StudyStatus
    source_ref: SourceRef


class DateStart(BaseModel):
    value: Optional[date]
    source_ref: SourceRef


class Publish(BaseModel):
    value: bool
    source_ref: SourceRef


class InclusionCriteria(BaseModel):
    value: List[str]
    source_ref: SourceRef


class ExclusionCriteria(BaseModel):
    value: List[str]
    source_ref: SourceRef


class ExternalLinks(BaseModel):
    value: List[str]
    source_ref: SourceRef


class Study(BaseModel):
    id: str
    title: Title
    contacts: Contacts
    emails: Emails
    status: Status
    date_start: DateStart
    publish: Publish
    inclusion_criteria: InclusionCriteria
    exclusion_criteria: ExclusionCriteria
    external_links: ExternalLinks
